export interface FileUploadModuleOptions {
    async?: boolean;
    asyncPostUrl?: string;
}
export default class FileUploadModule {
    private options;
    private $elements;
    constructor(selector: string, options?: FileUploadModuleOptions);
    getFileName(file: File): string;
    formatBytes(bytes: number): string;
    private getOptions;
    private setSelectedFiles;
    private setNoFiles;
    private allowsMultipleFiles;
}
